"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _core = _interopRequireDefault(require("./core"));
var _align = require("./formats/align");
var _direction = require("./formats/direction");
var _indent = _interopRequireDefault(require("./formats/indent"));
var _blockquote = _interopRequireDefault(require("./formats/blockquote"));
var _header = _interopRequireDefault(require("./formats/header"));
var _list = _interopRequireDefault(require("./formats/list"));
var _background = require("./formats/background");
var _color = require("./formats/color");
var _font = require("./formats/font");
var _size = require("./formats/size");
var _bold = _interopRequireDefault(require("./formats/bold"));
var _italic = _interopRequireDefault(require("./formats/italic"));
var _link = _interopRequireDefault(require("./formats/link"));
var _script = _interopRequireDefault(require("./formats/script"));
var _strike = _interopRequireDefault(require("./formats/strike"));
var _underline = _interopRequireDefault(require("./formats/underline"));
var _formula = _interopRequireDefault(require("./formats/formula"));
var _image = _interopRequireDefault(require("./formats/image"));
var _video = _interopRequireDefault(require("./formats/video"));
var _code = _interopRequireWildcard(require("./formats/code"));
var _syntax = _interopRequireDefault(require("./modules/syntax"));
var _table = _interopRequireDefault(require("./modules/table"));
var _toolbar = _interopRequireDefault(require("./modules/toolbar"));
var _icons = _interopRequireDefault(require("./ui/icons"));
var _picker = _interopRequireDefault(require("./ui/picker"));
var _colorPicker = _interopRequireDefault(require("./ui/color-picker"));
var _iconPicker = _interopRequireDefault(require("./ui/icon-picker"));
var _tooltip = _interopRequireDefault(require("./ui/tooltip"));
var _bubble = _interopRequireDefault(require("./themes/bubble"));
var _snow = _interopRequireDefault(require("./themes/snow"));
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
_core.default.register({
  'attributors/attribute/direction': _direction.DirectionAttribute,
  'attributors/class/align': _align.AlignClass,
  'attributors/class/background': _background.BackgroundClass,
  'attributors/class/color': _color.ColorClass,
  'attributors/class/direction': _direction.DirectionClass,
  'attributors/class/font': _font.FontClass,
  'attributors/class/size': _size.SizeClass,
  'attributors/style/align': _align.AlignStyle,
  'attributors/style/background': _background.BackgroundStyle,
  'attributors/style/color': _color.ColorStyle,
  'attributors/style/direction': _direction.DirectionStyle,
  'attributors/style/font': _font.FontStyle,
  'attributors/style/size': _size.SizeStyle
}, true);
_core.default.register({
  'formats/align': _align.AlignClass,
  'formats/direction': _direction.DirectionClass,
  'formats/indent': _indent.default,
  'formats/background': _background.BackgroundStyle,
  'formats/color': _color.ColorStyle,
  'formats/font': _font.FontClass,
  'formats/size': _size.SizeClass,
  'formats/blockquote': _blockquote.default,
  'formats/code-block': _code.default,
  'formats/header': _header.default,
  'formats/list': _list.default,
  'formats/bold': _bold.default,
  'formats/code': _code.Code,
  'formats/italic': _italic.default,
  'formats/link': _link.default,
  'formats/script': _script.default,
  'formats/strike': _strike.default,
  'formats/underline': _underline.default,
  'formats/formula': _formula.default,
  'formats/image': _image.default,
  'formats/video': _video.default,
  'modules/syntax': _syntax.default,
  'modules/table': _table.default,
  'modules/toolbar': _toolbar.default,
  'themes/bubble': _bubble.default,
  'themes/snow': _snow.default,
  'ui/icons': _icons.default,
  'ui/picker': _picker.default,
  'ui/icon-picker': _iconPicker.default,
  'ui/color-picker': _colorPicker.default,
  'ui/tooltip': _tooltip.default
}, true);
var _default = exports.default = _core.default;
//# sourceMappingURL=quill.js.map